Summary: IMA/EVM support utilities
Name: evm-utils
Version: 0.1.0
Release: 1%{?dist}
License: LGPLv2
Url:  http://linux-ima.git.sourceforge.net/
# only git available, created archive from git tag v0.1.0 using
# git archive --prefix=evm-utils-0.1.0/ --format=tar HEAD | gzip
Source: %{name}-%{version}.tar.gz
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: autoconf automake libtool m4
BuildRequires: openssl-devel libattr-devel readline-devel keyutils-libs-devel

%description
The Trusted Computing Group(TCG) runtime Integrity Measurement Architecture
(IMA) maintains a list of hash values of executables and other sensitive
system files, as they are read or executed. These are stored in the file
systems extended attributes. The Extended Verification Module (EVM) prevents
unauthorised changes to these extended attributes on the filesystem.
evm-utils is used to prepare the filesystem for these extended attributes.

%prep
%setup -q 

%build
sed -i "s/pkglib_PROGRAMS/pkglibexec_PROGRAMS/" Makefile.am
sed -i "s/pkglib_PROGRAMS/pkglibexec_PROGRAMS/" tests/Makefile.am
sed -i "s/pkglib_SCRIPTS/pkglibexec_SCRIPTS/" tests/Makefile.am
mkdir m4
autoreconf -f -i
%configure 
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install  %{?_smp_mflags}

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc ChangeLog README NEWS COPYING AUTHORS
%{_bindir}/*
%{_libexecdir}/%{name}

%changelog
* Mon Apr 02 2012 Paul Wouters <pwouters@redhat.com> - 0.1.0-1
- rebuilt

* Tue Mar 13 2012 Paul Wouters <pwouters@redhat.com> - 0.1-1.20110337gitae4710111
- Initial package

